# updateSubscribedPlan

### Arguments

| Argument                                                                                                 | Description                         |
| -------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| input ([UpdateSubscribedPlanInput](/graphql-api/api-reference/objects/update-subscribed-plan-input.md)!) | Parameters for UpdateSubscribedPlan |

### UpdateSubscribedPlanInput Arguments

| Argument                                                                                                                 | Description                                                                                         |
| ------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------- |
| id ([ID](/graphql-api/api-reference/objects/id.md))                                                                      | The ID of the SubscribedPlan to update.                                                             |
| subscriptionId ([ID](/graphql-api/api-reference/objects/id.md))                                                          | The ID of the subscription to update the subscribed plan for.                                       |
| nextBillingDate ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                                     | The new date at which the next billing cycle will occur.                                            |
| planId ([ID](/graphql-api/api-reference/objects/id.md))                                                                  | The new plan associated the subscription should change to.                                          |
| billingCycleIntervalUnit ([BillingCycleIntervalUnit](/graphql-api/api-reference/objects/billing-cycle-interval-unit.md)) | The unit of the interval the billing cycle runs                                                     |
| billingCycleInterval ([Int](/graphql-api/api-reference/objects/int.md))                                                  | The interval at which the billing cycle runs according to the unit set in billingCycleIntervalUnit. |
| customRecurringAmountCents ([Int](/graphql-api/api-reference/objects/int.md))                                            | A custom recurring amount different from the default plan price.                                    |
| customInitialAmountCents ([Int](/graphql-api/api-reference/objects/int.md))                                              | A custom initial amount different from the default plan initial amount                              |
| trialPeriodUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md))                                | The interval defining trial period length according to the unit set in trialPeriodIntervalUnit.     |
| trialPeriodPeriod ([Int](/graphql-api/api-reference/objects/int.md))                                                     | The unit of the interval defining the trial period length set in trialPeriodInterval                |
| maximumCommitmentUnit ([MaximumCommitmentUnit](/graphql-api/api-reference/objects/maximum-commitment-unit.md))           | The unit of the interval for maximum commitment terms                                               |
| maximumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))                                               | The period interval for maximum commitment terms                                                    |
| maximumCommitmentEndsAt ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                             | The date at which the maximum commitment ends                                                       |
| minimumCommitmentUnit ([CommitmentUnit](/graphql-api/api-reference/objects/commitment-unit.md))                          | The unit of the interval for minimum commitment terms                                               |
| minimumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))                                               | The period interval for minimum commitment terms                                                    |
| minimumCommitmentEndsAt ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                             | The date at which the minimum commitment ends                                                       |
| graceCancellationEndsAt ([ISO8601Date](/graphql-api/api-reference/objects/iso-8601-date.md))                             | The date at which the grace cancellation period ends                                                |

### Return fields

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)

#### subscribedPlan ([SubscribedPlan](/graphql-api/api-reference/objects/subscribed-plan.md))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/update-subscribed-plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
